
' =============== TTRB Calibration.bas ===============

' 	This program runs on a PICAXE-20X2.
' 	This is the calibration program for the telemarketing Blocker.

' === Constants & Variables ===

symbol K1	     = B.0		' controls relay K1
symbol K2	     = B.1		' controls relay K2
symbol K3	     = B.2		' controls relay K3
symbol K4	     = B.3		' controls relay K4
symbol ADCVal    = b0		' variable to store ADC reading								


' === Directives ===
#com 3				' specify serial port
#picaxe 20X2			' specify processor

' === Begin Program ===

dirsC = %00110110			' set C.1, C.2, C.4, C.5 pins to output
dirsB = %11001111			' set B.4, B.5 pins to input
high K4				' turn on K4
high K1				' turn on K1
high K2				' turn on K2

do
readadc C.7, ADCVal		' read the phone line voltage into ADCVal
pause 100
debug					' turn on debug window
loop
end